Unsets the value at the specified $index

- « SplDoublyLinkedList::offsetSet

- SplDoublyLinkedList::pop »

- PHP Manual
- SplDoublyLinkedList
- Unsets the value at the specified $index

# SplDoublyLinkedList::offsetUnset

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplDoublyLinkedList::offsetUnset — Unsets the value at the specified $index

### Description

public SplDoublyLinkedList::offsetUnset(int `$index`): void

Unsets the value at the specified index.

### Parameters

`index`

  The index being unset.

### Return Values

No value is returned.

### Errors/Exceptions

Throws OutOfRangeException when `index` is out of bounds or when `index` cannot be parsed as an integer.